Bug 241187 - [RFE] Menu change: Move kcontrol to settings submenu
Summary: [RFE] Menu change: Move kcontrol to settings submenu
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-24 12:15 UTC by Sebastian Vahl
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 10:05:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sebastian Vahl 2007-05-24 12:15:22 UTC
Description of problem:
With the new menu layout introduced by new kde-settings we have two entries for
kcontrol now:
1. K-Menu -> Control Center
2. K-Menu -> (Actions) -> Settings -> Control Center

I think it would be better to move kcontrol to "K-Menu -> Settings" (the normal
submenu, no the one in "Actions"). So we don't have a double entry for kcontrol
in the top menu. But if someone disable "Actions" there's still a menu entry for it.

Comment 1 Ngo Than 2007-05-24 15:12:01 UTC
It seems the kde-settings removes/changes many KDE settings after splitting!
here in this case, 2 actions "Settings", "System menu".

For sane KDE default setting, we should not overload the main menu (K-menu). 
The main menu should keep clearly. ATM we have 2 Settings in the main menu, 
it's confusing!

We should drop the 2 actions, "Settings", "System menu" from k-menu. It looks 
clearly like in RHEL5/FC6.



Comment 2 Rex Dieter 2007-05-24 15:20:02 UTC
> It seems the kde-settings removes/changes many KDE settings after splitting!

It shouldn't, we're still using exactly the same (upstream) kde applications.menu.
??

Where does Actions come from anyway?

Comment 3 Rex Dieter 2007-05-24 15:25:55 UTC
Hrm, Actions appeared somewhere between kde-settings-3.5-21 and kde-settings-3.5-28

Comment 4 Ngo Than 2007-05-24 15:31:51 UTC
it's not kde applications.menu. it's 
in /usr/share/kde-settings/kde-profile/default/share/config/kickerrc

And it's not the same like before the splitting, the complete [menus] group, 
which i made for FC6/RHEL5, has been removed in kde-settings!


Comment 5 Ngo Than 2007-05-24 15:32:55 UTC
we should be carefull about the default setting.

Comment 6 Rex Dieter 2007-05-24 15:42:31 UTC
Ah, (not as intuitive as it could be) but I found it: 
kicker optional menus -> Actions

So, the suggestion is to have 
[menus]
Extentions=

?


Comment 7 Kevin Kofler 2007-05-24 16:13:41 UTC
I agree with Than, this should be reset to as it was in FC6, I wonder if this 
will pass rel-eng for f7-final tagging or if it will have to go to updates.

Comment 8 Ngo Than 2007-05-24 16:16:15 UTC
yes, it's what i have mean on Comment #4. Why have you removed it? The current 
kickerrc in kde-settings (ConfigFile) looks broken. The cut-out of kickerc.

...

Applet_1]
ConfigFile=minipager_panelapplet_3jzzezfmf3tmhozral91_rc
DesktopFile=minipagerapplet.desktop
FreeSpace=0.4
FreeSpace2=0.09
WidthForHeightHint=161

[Applet_2]
ConfigFile=taskbar_panelapplet_khc8z2lx7dmaulh9iuty_rc
DesktopFile=taskbarapplet.desktop
FreeSpace=0.4
FreeSpace2=0.09
WidthForHeightHint=210

...


the kde-setting really needs to be cleaned up. I plan to do it next week.


Comment 9 Ngo Than 2007-05-24 16:21:17 UTC
Kevin, it's probably too late to revert the change, but i will try to do this.
if it won't pass rel-eng for f7-final, we can add it in f7 update,

Comment 10 Rex Dieter 2007-05-24 16:22:59 UTC
> yes... Why have you removed it? 

I have no strong feelings one way or the other, I just personally liked it
better, that's all, and that's what kde-redhat packaging had been using...

> the kde-setting really needs to be cleaned up. I plan to do it next week.

Excellent, more than kickerrc?  If so, what did you have in mind?

Comment 11 Kevin Kofler 2007-05-24 16:26:18 UTC
FYI, it's not up to date with the latest kde-settings, but I've done diffs 
between the previous Fedora KDE settings and the kde-settings ones on May 15:
http://repo.calcforge.org/f7/

Comment 12 Rex Dieter 2007-05-24 16:35:09 UTC
Thanks Kevin.

Comment 13 Rex Dieter 2007-07-03 10:05:49 UTC
I believe most/all of the suggests here have been incorporated in the latest
kde-settings (though it's difficult to tell sometimes from the cryptic cvs
commit comments... hint hint). :)


Note You need to log in before you can comment on or make changes to this bug.